# Poco

# class Base64Decoder

Library: Foundation
Package: Streams
Header: Poco/Base64Decoder.h

## Description

This istream base64-decodes all data read from the istream connected to it.

## Inheritance

Direct Base Classes: Base64DecoderIOS, std::istream

All Base Classes: Base64DecoderIOS, std::ios, std::istream

## Member Summary

Inherited Functions: rdbuf

## Constructors

### Base64Decoder

Base64Decoder(
std::istream & istr
);

## Destructor

### ~Base64Decoder

~Base64Decoder();